<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Rod Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_rod.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_rod-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Rod Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the rod obstacle.  
 <a href="class_rod.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Rod:</div>
<div class="dyncontent">
<div class="center"><img src="class_rod__inherit__graph.png" border="0" usemap="#_rod_inherit__map" alt="Inheritance graph"/></div>
<map name="_rod_inherit__map" id="_rod_inherit__map">
<area shape="rect" title="Models the concept of the rod obstacle." alt="" coords="13,80,60,107"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="5,5,68,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Rod:</div>
<div class="dyncontent">
<div class="center"><img src="class_rod__coll__graph.png" border="0" usemap="#_rod_coll__map" alt="Collaboration graph"/></div>
<map name="_rod_coll__map" id="_rod_coll__map">
<area shape="rect" title="Models the concept of the rod obstacle." alt="" coords="70,260,117,287"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="153,184,215,211"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="130,95,283,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adcb64855f216b76960fcd78db56a3e52"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#adcb64855f216b76960fcd78db56a3e52">Rod</a> ()</td></tr>
<tr class="memdesc:adcb64855f216b76960fcd78db56a3e52"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_rod.html" title="Models the concept of the rod obstacle.">Rod</a> class.  <a href="class_rod.html#adcb64855f216b76960fcd78db56a3e52">More...</a><br /></td></tr>
<tr class="separator:adcb64855f216b76960fcd78db56a3e52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab5b9f2d2649799575097e597be94354"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#aab5b9f2d2649799575097e597be94354">~Rod</a> ()</td></tr>
<tr class="memdesc:aab5b9f2d2649799575097e597be94354"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_rod.html" title="Models the concept of the rod obstacle.">Rod</a> class.  <a href="class_rod.html#aab5b9f2d2649799575097e597be94354">More...</a><br /></td></tr>
<tr class="separator:aab5b9f2d2649799575097e597be94354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e3e6f119b8d6a3747dd22626e9c07c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">draw</a> (const std::string &amp;rodFilename) const override</td></tr>
<tr class="memdesc:a26e3e6f119b8d6a3747dd22626e9c07c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the rod obstacle coordinates to a result file.  <a href="class_rod.html#a26e3e6f119b8d6a3747dd22626e9c07c">More...</a><br /></td></tr>
<tr class="separator:a26e3e6f119b8d6a3747dd22626e9c07c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd3e986477308641df1107e4d1ca952"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#aabd3e986477308641df1107e4d1ca952">getCollisionInformation</a> () const override</td></tr>
<tr class="memdesc:aabd3e986477308641df1107e4d1ca952"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with rod obstacle.  <a href="class_rod.html#aabd3e986477308641df1107e4d1ca952">More...</a><br /></td></tr>
<tr class="separator:aabd3e986477308641df1107e4d1ca952"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bd1e81ac1987a74913ed25e57769d92"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const override</td></tr>
<tr class="memdesc:a8bd1e81ac1987a74913ed25e57769d92"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with the rod.  <a href="class_rod.html#a8bd1e81ac1987a74913ed25e57769d92">More...</a><br /></td></tr>
<tr class="separator:a8bd1e81ac1987a74913ed25e57769d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a3f52050d995080e1b6b4a3244d39a418"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">kObstacleRodFile</a> = &quot;solid/obstacleRod.dat&quot;</td></tr>
<tr class="memdesc:a3f52050d995080e1b6b4a3244d39a418"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the rod obstacle coordinates.  <a href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">More...</a><br /></td></tr>
<tr class="separator:a3f52050d995080e1b6b4a3244d39a418"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a08f7d00299c71d6856fb78a026d2a614"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">xMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a08f7d00299c71d6856fb78a026d2a614"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on X axis.  <a href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">More...</a><br /></td></tr>
<tr class="separator:a08f7d00299c71d6856fb78a026d2a614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ab3521f8c7b466a54bd4ae94b60ee5"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a17ab3521f8c7b466a54bd4ae94b60ee5">xMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:a17ab3521f8c7b466a54bd4ae94b60ee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e04b938aebeabcd3ce18ef5c554127b"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">yMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a8e04b938aebeabcd3ce18ef5c554127b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Y axis.  <a href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">More...</a><br /></td></tr>
<tr class="separator:a8e04b938aebeabcd3ce18ef5c554127b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace95226b074d07712c4426492d41eeaf"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#ace95226b074d07712c4426492d41eeaf">yMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:ace95226b074d07712c4426492d41eeaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42392326816458fd9a3de76d675ae1bf"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">zMin</a> = 0.0 / 0.0</td></tr>
<tr class="memdesc:a42392326816458fd9a3de76d675ae1bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimal and maximal values of coordinates on Z axis.  <a href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">More...</a><br /></td></tr>
<tr class="separator:a42392326816458fd9a3de76d675ae1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbe3c127b021c810aa560e8a1f8ea2c9"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#afbe3c127b021c810aa560e8a1f8ea2c9">zMax</a> = 0.0 / 0.0</td></tr>
<tr class="separator:afbe3c127b021c810aa560e8a1f8ea2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab283c65902eb7d02d80101b1fe94f15d"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">obstacleRod_</a></td></tr>
<tr class="memdesc:ab283c65902eb7d02d80101b1fe94f15d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of rod obstacle coordinates.  <a href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">More...</a><br /></td></tr>
<tr class="separator:ab283c65902eb7d02d80101b1fe94f15d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5b1ce5a42b61431441eece432668ed7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">obstacleRodTranslation_</a> {-80, 50, 100}</td></tr>
<tr class="memdesc:af5b1ce5a42b61431441eece432668ed7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of rod obstacle.  <a href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">More...</a><br /></td></tr>
<tr class="separator:af5b1ce5a42b61431441eece432668ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c0b7c7daacebdc643bb7fce67c01fd"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">kObstacleRodModel</a> = &quot;solid/obstacleRodModel.dat&quot;</td></tr>
<tr class="memdesc:a36c0b7c7daacebdc643bb7fce67c01fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the rod coordinates model.  <a href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">More...</a><br /></td></tr>
<tr class="separator:a36c0b7c7daacebdc643bb7fce67c01fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00013">13</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adcb64855f216b76960fcd78db56a3e52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb64855f216b76960fcd78db56a3e52">&#9670;&nbsp;</a></span>Rod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Rod::Rod </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_rod.html" title="Models the concept of the rod obstacle.">Rod</a> object. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00005">5</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="aab5b9f2d2649799575097e597be94354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab5b9f2d2649799575097e597be94354">&#9670;&nbsp;</a></span>~Rod()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Rod::~Rod </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in set of rod obstacle coordinates. </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00068">68</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8bd1e81ac1987a74913ed25e57769d92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bd1e81ac1987a74913ed25e57769d92">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Rod::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implements <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00055">55</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="a26e3e6f119b8d6a3747dd22626e9c07c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26e3e6f119b8d6a3747dd22626e9c07c">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Rod::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>rodFilename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rodFilename</td><td>- result file name. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="class_shape.html#adbb8b78656c05a402be46335239606ef">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8cpp_source.html#l00036">36</a> of file <a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a>.</p>

</div>
</div>
<a id="aabd3e986477308641df1107e4d1ca952"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabd3e986477308641df1107e4d1ca952">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Rod::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00079">79</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a3f52050d995080e1b6b4a3244d39a418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f52050d995080e1b6b4a3244d39a418">&#9670;&nbsp;</a></span>kObstacleRodFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Rod::kObstacleRodFile = &quot;solid/obstacleRod.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00053">53</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a36c0b7c7daacebdc643bb7fce67c01fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36c0b7c7daacebdc643bb7fce67c01fd">&#9670;&nbsp;</a></span>kObstacleRodModel</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Rod::kObstacleRodModel = &quot;solid/obstacleRodModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00048">48</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ab283c65902eb7d02d80101b1fe94f15d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab283c65902eb7d02d80101b1fe94f15d">&#9670;&nbsp;</a></span>obstacleRod_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Rod::obstacleRod_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00038">38</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="af5b1ce5a42b61431441eece432668ed7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5b1ce5a42b61431441eece432668ed7">&#9670;&nbsp;</a></span>obstacleRodTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Rod::obstacleRodTranslation_ {-80, 50, 100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00043">43</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a17ab3521f8c7b466a54bd4ae94b60ee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ab3521f8c7b466a54bd4ae94b60ee5">&#9670;&nbsp;</a></span>xMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::xMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00019">19</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a08f7d00299c71d6856fb78a026d2a614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08f7d00299c71d6856fb78a026d2a614">&#9670;&nbsp;</a></span>xMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::xMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00019">19</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="ace95226b074d07712c4426492d41eeaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace95226b074d07712c4426492d41eeaf">&#9670;&nbsp;</a></span>yMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::yMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00026">26</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a8e04b938aebeabcd3ce18ef5c554127b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e04b938aebeabcd3ce18ef5c554127b">&#9670;&nbsp;</a></span>yMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::yMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00026">26</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="afbe3c127b021c810aa560e8a1f8ea2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbe3c127b021c810aa560e8a1f8ea2c9">&#9670;&nbsp;</a></span>zMax</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::zMax = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00033">33</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<a id="a42392326816458fd9a3de76d675ae1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42392326816458fd9a3de76d675ae1bf">&#9670;&nbsp;</a></span>zMin</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Rod::zMin = 0.0 / 0.0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Initialized with NaN values to assign the appropriate values to them at the first pass of the data download loop </p>

<p class="definition">Definition at line <a class="el" href="obstacles_8hh_source.html#l00033">33</a> of file <a class="el" href="obstacles_8hh_source.html">obstacles.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="obstacles_8hh_source.html">obstacles.hh</a></li>
<li><a class="el" href="obstacles_8cpp_source.html">obstacles.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_rod.html">Rod</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
